Bug 7687 - Use "representation" instead of "resource" in section 6.9
Use "representation" instead of "resource" in section 6.9
Status: VERIFIED WONTFIX
Product: HTML WG
Classification: Unclassified
Component: pre-LC1 HTML5 spec (editor: Ian Hickson)
unspecified
PC All
: P2 normal
: ---
Assigned To: Ian 'Hixie' Hickson
HTML WG Bugzilla archive list
: NE, TrackerIssue
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-09-21 17:18 UTC by Nikunj Mehta
Modified: 2010-10-04 14:45 UTC (History)
6 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nikunj Mehta 2009-09-21 17:18:42 UTC
Application cache uses the term resource where it really talks about the bits fetched from the network for a resource, which are called representations in RFC 2616. The spec should be consistent with HTTP because of its dependency on HTTP.
Comment 1 Ian 'Hixie' Hickson 2009-09-22 11:51:51 UTC
RFC2616 is the one unnecessarily introducing new terminology here. A resource is a bag of bits, and HTML5 consistently uses that term throughout.
Comment 2 Julian Reschke 2009-09-22 12:32:57 UTC
Mike, it appears this one needs to be escalated.
Comment 3 Nikunj Mehta 2009-09-22 14:00:04 UTC
HTTP's definition of resource vs representation has stood since 1996 (http://tools.ietf.org/html/rfc1945#section-1.2). Even if HTML5 consistently uses resource in place of representation, it is incorrect to do so since those reading HTTP in conjunction with HTML5 would be confused. 
Comment 4 Michael[tm] Smith 2009-09-24 08:03:19 UTC
escalated to tracker:
http://www.w3.org/html/wg/tracker/issues/81/
Comment 5 Michael[tm] Smith 2009-09-24 08:37:37 UTC
Now that this is a tracker issue, I'm moving the status for this bug here back to Resolved
Comment 6 Maciej Stachowiak 2010-03-14 14:51:32 UTC
This bug predates the HTML Working Group Decision Policy.

If you are satisfied with the resolution of this bug, please change the state of this bug to CLOSED. If you have additional information and would like the editor to reconsider, please reopen this bug. If you would like to escalate the issue to the full HTML Working Group, please add the TrackerRequest keyword to this bug, and suggest title and text for the tracker issue; or you may create a tracker issue yourself, if you are able to do so. For more details, see this document:
  http://dev.w3.org/html5/decision-policy/decision-policy.html

This bug is now being moved to VERIFIED. Please respond within two weeks. If this bug is not closed, reopened or escalated within two weeks, it may be marked as NoReply and will no longer be considered a pending comment.